# ' Budget Shares of British Households
#'
#' @source Blundell, Richard,  Alan   Duncan and  Krishna  Pendakur (1998) &ldquo;Semiparametric estimation and consumer demand&rdquo;, <em>Journal of Applied Econometrics</em>, <b>13(5)</b>, 435&ndash;462.
#' @format A data frame of 1519 household observations in United Kingdown from 1980 to 1982 with columns:
#' \describe{
#'  \item{wfood}{budget share for food expenditure}
#'  \item{wfuel}{budget share for fuel expenditure}
#'  \item{wcloth}{budget share for clothing expenditure}
#'  \item{walc}{budget share for alcohol expenditure}
#'  \item{wtrans}{budget share for transport expenditure}
#'  \item{wother}{budget share for other good expenditure}
#'  \item{totexp}{total household expenditure (rounded to the nearest 10 UK pounds sterling)}
#'  \item{income}{total net household income (rounded to the nearest 10 UK pounds sterling)}
#'  \item{age}{age of household head}
#'  \item{children}{number of children}
#'  }
#' @examples
#' \dontrun{
#' BudgetUK
#' }
#'



